@import "./base/reset";
@import "./abstracts/mixins";
@import "./abstracts/variables";
@import "../fonts/fonts";

.contact{
  padding: 30px 20px 50px;
  @include flex (column, center, center);
  gap: 30px;

  @media (min-width:$bp-lg) {
    @include flex (row, space-between, center);
    padding: 50px 70px 100px;
    gap: 40px;

  }
}

.contact__sub-header{
  @include flex (column, center, center);
  gap: 30px;

  @media (min-width:$bp-lg) {
    align-items: flex-start;
    
  }
}

.contact__header{
  color: $third-shade-black;
  text-align: center;
  font-family: Gilroy;
  font-size: 70px;
  font-weight: 300;
  text-transform: uppercase;

  @media (min-width:$bp-lg){
   align-self: flex-start;
    font-size: 100px;
  }
} 

.sub-header-first{
  color: $second-shade-black;
  text-align: center;
  font-family: Gilroy-Bold;
  font-size: 35px;
  font-weight: 400;
  text-transform: uppercase;

  @media (min-width:$bp-lg) {
    text-align: start;
    font-size: 60px;
  }
}

.sub-header-second{
  color: $second-shade-black;
  text-align: center;
  font-family: Gilroy-Medium;
  font-size: 30px;
  font-weight: 400;

  @media (min-width:$bp-lg) {
    text-align: start;
    font-size: 34px;
  }
}

.contact__btn{
  width: 100%;
  max-width: 700px;
  align-self: center;
  position: relative;


  @media (min-width:$bp-md) {
    width: fit-content;
    min-width: 200px;
  }

  @media (min-width:$bp-lg) {
    align-self: flex-start;
  }
}